POST /interaction/v1/interactions/contactMembership

Overview

Provides a list of journeys and journey versions for a list of contact keys.

JSON Parameters

Name Type Description
ContactKeyList array Required List of up to 50 contact keys.

Usage

Required Marketing Cloud Permissions

  • Journey Builder, General and Automation
  • Interaction Studio, Access

Example Request

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
POST /interaction/v1/interactions/contactMembership
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

{
   "ContactKeyList":["ContactKey_1", "ContactKey_2", "ContactKey_3"]
}

Example Response

HTTP/1.1 200 Ok
{
"results" : {
"contactMemberships" : [
    {
        "contactKey" : "ContactKey_1",
        "definitionKey" : "Uniqueue_Key",
        "version" : 1
    }
],
"contactsNotFound" : ["ContactKey_2", "ContactKey_3"]
}
}
Last Updated: Jun 8, 2021